---
- name: Update cache
  ansible.builtin.apt:
    update_cache: true
    cache_valid_time: 3600

- name: Install packages
  ansible.builtin.apt:
    name: "{{ composer_packages }}"
    state: present

- name: Download composer installer
  ansible.builtin.get_url:
    url: "{{ composer_installer_url }}"
    dest: "/opt/composer-setup.php"
    mode: "0644"
    checksum: "{{ composer_installer_checksum }}"

- name: Install composer
  ansible.builtin.command:
    cmd: "php /opt/composer-setup.php --filename=composer --install-dir=/usr/local/bin --version {{ composer_version }}"
    creates: /usr/local/bin/composer
